# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pbi"
version = "0.1.1"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "image aware clipboard command line utility for macOS"
homepage = "http://github.com/fragmede/pbi/"
readme = "README.md"
keywords = [
    "clipboard",
    "mac",
    "macos",
    "cli",
    "utility",
]
categories = ["command-line-utilities"]
license = "MIT"

[[bin]]
name = "pbi"
path = "src/main.rs"

[dependencies.base64]
version = "0.22"

[dependencies.image]
version = "0.25.1"

[dependencies.libc]
version = "0.2.155"

[dependencies.objc]
version = "0.2.7"

[dependencies.objc-foundation]
version = "0.1.1"

[dependencies.objc_id]
version = "0.1.1"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ['cfg(feature, values("cargo-clippy"))']
